<template>
  <q-page padding>
    <div>
      <q-toolbar class="bg-blue-grey text-white shadow-2 rounded-borders">
        Experiencias: &nbsp;
        <span>
          {{ experiencia?.nombre }}
        </span>
        <q-space />

        <div class="q-gutter-xs">
          <q-btn
            flat
            dense
            icon="edit"
            :to="'/formacion/experiencias/detalle/' + uuid + '/edicion_masiva'"
            label="Edicion Masiva"
          />
        </div>
      </q-toolbar>
      <div class="row">
        <div class="col-md col-xs-12">
          <q-list dense padding>
            <q-item>
              <q-item-section>Fecha Dictado: </q-item-section>
              <q-item-section side>
                {{ $filters.Date(experiencia?.fecha) }}
              </q-item-section>
            </q-item>
          </q-list>
        </div>
        <div class="col-md col-xs-12">
          <q-list dense padding>
            <q-item>
              <q-item-section>| Responsable: </q-item-section>
              <q-item-section side>
                {{ experiencia?.responsable }}
              </q-item-section>
            </q-item>
          </q-list>
        </div>
        <div class="col-md col-xs-12">
          <q-list dense padding>
            <q-item>
              <q-item-section>| Organismo: </q-item-section>
              <q-item-section side>
                {{ experiencia?.organismo.organismo }}
              </q-item-section>
            </q-item>
          </q-list>
        </div>
      </div>
    </div>

    <div class="row q-col-gutter-sm">
      <div class="col-12">
        <ContadorPartial />
      </div>
      <div class="col-12">
        <ListadoParticipantesPartial :experiencia="experiencia" />
      </div>
    </div>
  </q-page>
</template>

<script lang="ts">
import { AxiosResponse } from 'axios';
import { api } from 'src/boot/axios/index';
import { defineComponent, ref, onMounted } from 'vue';
import { useRoute } from 'vue-router';
import ListadoParticipantesPartial from './_ListadoParticipantesPartial.vue';
import ContadorPartial from './_ContadorPartial.vue';
import { ExperienciaInterface } from 'src/interfaces/FormacionInterface';
export default defineComponent({
  name: 'ExperienciasPage',
  components: { ListadoParticipantesPartial, ContadorPartial },
  setup() {
    const loading = ref(true);
    const route = useRoute();
    const uuid = <string>route.params.uuid;
    onMounted(() => {
      getExperiencia();
    });

    const experiencia = ref<ExperienciaInterface>();

    function getExperiencia() {
      loading.value = true;
      api
        .get('/api/formacion/cursos/' + uuid)
        .then((response: AxiosResponse) => {
          experiencia.value = response.data;
        })
        .finally(() => {
          loading.value = false;
        });
    }

    return {
      uuid,
      experiencia,
    };
  },
});
</script>
